Wind River Support Network

HomeDefectsLIN5-23261
Fixed

LIN5-23261 : Security Advisory - ncurses - CVE-2017-10685

Created: Jul 13, 2017    Updated: May 29, 2018
Resolved Date: Aug 16, 2017
Found In Version: 5.0.1.40
Fix Version: 5.0.1.41
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

In ncurses 6.0, there is a format string vulnerability in the fmt_entry function. A crafted input will lead to a remote arbitrary code execution attack.

https://nvd.nist.gov/vuln/detail/CVE-2017-10685

Other Downloads


Live chat
Online